- Qt 5.15
- Qt Location
- C++ Classes
- QPlaceDetailsReply
- Qt 5.15.19 Reference Documentation

# QPlaceDetailsReply Class

The QPlaceDetailsReply class manages a place details fetch operation started by an instance of QPlaceManager. More...

Header: | #include <QPlaceDetailsReply>
qmake: | QT += location
Since: | Qt 5.6
Inherits: | QPlaceReply

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Public Functions

| QPlaceDetailsReply(QObject *parent = nullptr)
virtual | ~QPlaceDetailsReply()
QPlace | place() const

## Reimplemented Public Functions

virtual QPlaceReply::Type | type() const override

## Protected Functions

void | setPlace(const QPlace &place)

## Detailed Description

See Fetching Place Details for an example on how to use a details reply.

See also QPlaceManager.

## Member Function Documentation

### QPlaceDetailsReply::QPlaceDetailsReply(QObject *parent = nullptr)

Constructs a details reply with a given parent.

### `[virtual]` QPlaceDetailsReply::~QPlaceDetailsReply()

Destroys the details reply.

### QPlace QPlaceDetailsReply::place() const

Returns the place that was fetched.

See also setPlace().

### `[protected]` void QPlaceDetailsReply::setPlace(const QPlace &place)

Sets the fetched place of the reply.

See also place().

### `[override virtual]` QPlaceReply::Type QPlaceDetailsReply::type() const

Reimplements: QPlaceReply::type() const.

Returns the type of reply.